uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marshall Schor <...@schor.com>
Subject Re: [VOTE] [CANCELLED] uimaj sdk 3.0.0 beta rc5
Date Mon, 23 Oct 2017 15:46:22 GMT
I'm cancelling rc5, to change 3 lines in the uimaj-examples classpath file - so
these reference the correct versions of 3 jars needed for running the v3
migration tool.

Those will be the only changes, in order to make re-checking the release for
voting quicker and easier.

-Marshall


On 10/21/2017 4:25 PM, Richard Eckart de Castilho wrote:
> On 17.10.2017, at 17:40, Marshall Schor <msa@schor.com> wrote:
>> Please vote on release:
>>
>> [ ] +1 OK to release
>> [ ] 0 Don't care
>> [ ] -1 Not OK to release, because ...
>
> - checked for differences between SVN tag and sources ZIP: OK
> - build with Java 8 and empty Maven repo: OK
> - built uimaFIT v3-branch against beta: OK
> - built DKPro Core v3-branch against beta: OK
> - RELEASE_NOTES file: OK
>   - sometimes it is "Beta", sometimes "beta"
>   - mailing list URL is not a link
> - Trying to install plugins into Eclipse (from update site): OK
>   - However, Eclipse says that the JARs are unsigned! (features + plugins)
> - Importing the example project into Eclipse: FAIL
>   - The project imports ok, but some libraries in the project
>     have older versions than what is actually provided in the lib folder
> - Signature spot check: OK
>
> Well, all in all, it's probably good enough for a beta version
> which likely targets existing users rather than new users. But
> e.g. the example project should be fixed for the final release.
>
> [X] +1 OK to release
>
> General notes:
> - IMHO beta releases should be numbered (-beta-1, -beta-2, etc.)
> - The "Overview and Setup" document contains a section on 
>   changes from previous major versions. Would be nice to have 
>   such a section for UIMA 3. There is also a section for 
>   "the migration utility" (from IBM UIMA to Apache UIMA). 
>   This could be updated with info about the new utility
>   for v2 to v3 migration.
> - The V3 users guide looks very useful, but I need more time
>   to read it properly.
> - The getting-started guide still talks about fetching UIMA
>   from our old incubator website and that the Eclipse plugins
>   require Java 1.5.
>
> Cheers,
>
> -- Richard
>
>


Mime
View raw message